Commit e17614bd authored by Alexander Pace's avatar Alexander Pace
Browse files

packaging changes for 2.7.0

parent 587240a4
Pipeline #145841 passed with stages
in 15 minutes and 35 seconds
ligo-gracedb (2.7.0-1) unstable; urgency=low
* Backend rewrite using "requests" package
-- Alexander E. Pace <alexander.pace@ligo.org> Thu, 06 Aug 2020 11:03:15 -0700
ligo-gracedb (2.6.1-1) unstable; urgency=low
* SSL_PROTOCOL fix for python < 2.7.13
......
......@@ -45,8 +45,6 @@ Requires: python2-ligo-common
Requires: python-future
Requires: python2-cryptography
Requires: python-requests
# Removing requirement until reference OS gets upgraded
#Requires: python-requests-toolbelt
%{?python_provide:%python_provide python2-%{name}}
......@@ -64,8 +62,6 @@ Requires: python%{python3_pkgversion}-six
Requires: python%{python3_pkgversion}-ligo-common
Requires: python%{python3_pkgversion}-future
Requires: python%{python3_pkgversion}-cryptography
# Removing requirement until reference OS gets upgraded
#Requires: python3-requests-toolbelt
%{?python_provide:%python_provide python%{python3_pkgversion}-%{name}}
......
......@@ -104,7 +104,7 @@ setup(
install_requires=['future>=0.15.0',
'six>=1.9.0',
'cryptography>=1.7.2',
'requests==2.23.0',
'requests>=2.6.0',
],
setup_requires=SETUP_REQUIRES,
tests_require=tests_require,
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment